%define		_state		stable
%define		orgname		kdegraphics-mobipocket
%define		qtver		4.8.1

Summary:	K Desktop Environment - Mobipocket support for Okular
Summary(pl.UTF-8):	K Desktop Environment - Wsparcie formatu mobipocket dla Okulara
Name:		kde4-kdegraphics-mobipocket
Version:	4.9.0
Release:	2
License:	GPL
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	0c9872f19e2274b9ff33d75b8ffcc1fe
URL:		http://www.kde.org/
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-okular-devel >= %{version}
BuildRequires:	strigi-devel
Obsoletes:	mobipocket <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mobipocket support for Okular.

%description -l pl.UTF-8
Wsparcie formatu mobipocket dla Okulara.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/mobithumbnail.so
%attr(755,root,root) %{_libdir}/kde4/okularGenerator_mobi.so
%attr(755,root,root) %{_libdir}/strigi/strigila_mobi.so
%{_desktopdir}/kde4/okularApplication_mobi.desktop
%{_datadir}/kde4/services/libokularGenerator_mobi.desktop
%{_datadir}/kde4/services/mobithumbnail.desktop
%{_datadir}/kde4/services/okularMobi.desktop
%changelog
* Mon Aug 27 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kdegraphics-mobipocket.git;a=log;h=master

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 33182eb
- release 2 (by relup.sh)

* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2246d84
- up to 4.9.0

* Mon Jun 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 10492b7
- up to 4.8.4

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b00bb80
- up to 4.8.3

* Sat Mar 31 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f6c7f50
- up to 4.8.2

* Thu Mar 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a86a12
- flat xz layout was used in final version

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 22efbad
 -up to 4.8.1

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 94ed20b
- up to 4.8.0; now as kde4-kdegraphics-mobipocket

* Fri Nov 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 470a78b
- up to 4.7.3

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c032a0e
- initial

